Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 11 Jun 2022 05:56:14 +0000

Hi Shehanah Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hi! I live in the United States and I am trying to make an online purchase. I am sending a gift to my brother in law who lives in Jeddah. I entered  all the required information and the payment method but it keeps getting rejected. I am using a US debit visa card. Could you tell me what’s the issue?  Please contact me through email: [email-masked].
Thank you https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4480434